.notification-close-icon {
  position: absolute;
  right: 5%;
  top: 50%;
  transform: translateY(-50%);
  color: whitesmoke;
  font-size: 2rem;
  cursor: pointer;
  padding: 10px;
}
.notification-content {
  position: absolute;
  left: 5%;
  top: 50%;
  transform: translateY(-50%);
  color: whitesmoke;
  p:first-child {
    font-size: 1.7rem;
    font-weight: 700;
  }
  p:last-child {
    font-size: 1.2rem;
    font-weight: 600;
  }
}

.notification-big {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 110px;
  background-color: burlywood;
  z-index: 1000;
  transform: translateY(-150%);
  transition: all 0.3s linear;
  box-shadow: 11px 14px 29px -5px rgba(0, 0, 0, 0.75);
  -webkit-box-shadow: 11px 14px 29px -5px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 11px 14px 29px -5px rgba(0, 0, 0, 0.75);
  &.error {
    background: rgb(196, 56, 56);
    &.show {
      animation: slideDown 0.3s forwards;
      opacity: 1;
    }
    &.hide {
      animation: slideUp 0.3s linear forwards;
      top: -100%;
    }
  }
  &.success {
    background: rgb(101, 186, 51);
    &.show {
      animation: slideDown 0.3s forwards;
      opacity: 1;
    }
    &.hide {
      animation: slideUp 0.3s linear forwards;
      top: -100%;
    }
  }
}

.notification-small {
  position: fixed;
  top: 5%;
  right: 5%;
  min-width: 300px;
  width: fit-content;
  border-radius: 4px;
  height: 60px;
  z-index: 900;
  transform: translateX(calc(150%));
  transition: all 0.3s linear;
  box-shadow: 11px 14px 29px -5px rgba(0, 0, 0, 0.75);
  -webkit-box-shadow: 11px 14px 29px -5px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 11px 14px 29px -5px rgba(0, 0, 0, 0.75);
  .notification-content {
    p {
      font-size: 0.8rem;
      font-weight: 700;
      &:first-child {
        font-size: 1rem;
      }
    }
  }
  .notification-close-icon {
    font-size: 1.2rem;
  }
  &.error {
    background: rgb(196, 56, 56);
    &.show {
      animation: slideIn 0.3s forwards;
      opacity: 1;
    }
    &.hide {
      animation: slideOut 0.3s linear forwards;
      right: -100%;
    }
  }
  &.success {
    background: rgb(110, 219, 45);
    &.show {
      animation: slideIn 0.3s forwards;
      opacity: 1;
    }
    &.hide {
      animation: slideOut 0.3s linear forwards;
      right: -100%;
    }
  }
}
@keyframes slideDown {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes slideUp {
  0% {
    opacity: 1;
    transform: translateY(0);
  }
  100% {
    opacity: 0;
  }
}
// small
@keyframes slideIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}
@keyframes slideOut {
  0% {
    opacity: 1;
    transform: translateX(0);
  }
  100% {
    opacity: 0;
  }
}
